Package de.geolykt.starloader.deobf

# Class FieldReference

java.lang.Object
de.geolykt.starloader.deobf.FieldReference

public final class FieldReference extends Object
A reference to a field within a class. This class is similar to `FieldNode` / `FieldInsnNode` though with a few "useless" features removed so it can be used for one thing only.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldReference(String owner, String desc, String name)`
  `FieldReference(String owner, org.objectweb.asm.tree.FieldNode node)`
  `FieldReference(org.objectweb.asm.tree.FieldInsnNode instruction)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getDesc()`
  Obtains the field descriptor of the referred field
  `String`
  `getName()`
  `String`
  `getOwner()`
  Obtains the simple internal name of the owner.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FieldReference

    public FieldReference(org.objectweb.asm.tree.FieldInsnNode instruction)

  - ### FieldReference

    public FieldReference(String owner, org.objectweb.asm.tree.FieldNode node)

  - ### FieldReference

    public FieldReference(String owner, String desc, String name)

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getName

    public String getName()

  - ### getOwner

    public String getOwner()
    Obtains the simple internal name of the owner. This means it will be like this: "org/example/ClassName"
    Returns:
      The simple internal name of the owner

  - ### getDesc

    public String getDesc()
    Obtains the field descriptor of the referred field
    Returns:
      The field descriptor

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`